# Part 4: Final Report
SELECT pok.name AS "Pokemon",
       trainer.trainername AS "Trainer",
       pokTrainer.pokelevel as "Level",
       pType.name AS "Primary Type",
       sType.name AS "Secondary Name"
FROM pokemon.trainers trainer
    JOIN pokemon.pokemon_trainer pokTrainer
        ON trainer.trainerID = pokTrainer.trainerID
    JOIN pokemon.pokemons pok
        ON pok.id = pokTrainer.pokemon_id
    JOIN pokemon.types pType
        ON pok.primary_type = pType.id
    JOIN pokemon.types sType
         ON pok.secondary_type = sType.id
ORDER BY pokTrainer.pokelevel DESC,
         pokTrainer.attack DESC,
         pokTrainer.defense DESC,
         pokTrainer.maxhp DESC,
         pokTrainer.hp DESC;
